EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • Algorithms
                    • Models
                      • Artifacts and export
                        • Billing and usage
                          • Team and governance
                            • Account and notifications
                              • GET
                                List the current user activity tray for this team
                              • GET
                                Get the current user handle profile
                              • PATCH
                                Update the current user handle
                              • GET
                                List annotation assignments for a me
                              • GET
                                List collection tasks for a me
                              • GET
                                Get a collection task
                              • POST
                                Create a consent acceptance
                              • GET
                                List delivery batches for a me
                              • POST
                                Create a closure
                              • GET
                                Get the current user notification channel preferences for this team
                              • PUT
                                Replace the current user notification channel preferences for this team
                              • GET
                                List workflow runs for a me
                              • GET
                                List notifications
                              • POST
                                Create a read receipt
                              • POST
                                Create a read receipt
                              • GET
                                List unread count for a notification
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Account and notifications
                              4. List unread count for a notification

                              List unread count for a notification

                              GET
                              /v1/notifications/unread-count
                              curl -X GET 'https://api.embodiflow.io/v1/notifications/unread-count' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Responses

                              Success

                              • dataobjectrequired
                                • unreadCountnumber
                              Response example
                              {
                                "data": {
                                  "unreadCount": 0
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              POST /notifications/read-receipts

                              curl -X GET 'https://api.embodiflow.io/v1/notifications/unread-count' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "unreadCount": 0
                                }
                              }